## python-pysam 0.7.7

=== tests/Makefile ===
all: ex1.pileup.gz ex1.bam.bai \
	ex2.sam.gz ex2.sam ex1.sam \
	ex2.bam \
	ex3.bam ex3.bam.bai \
	ex4.bam ex4.bam.bai \
	ex5.bam ex5.bam.bai \
	ex6.bam \
	ex8.bam ex8.bam.bai \
	ex9_nofail.bam.bai \
	ex9_fail.bam.bai \
        ex10.bam ex10.bam.bai \
	example_unmapped_reads_no_sq.bam \
	example_user_header.bam \
	example_btag.bam \
	example_bai.bam \
	softclip.bam

ex2.sam.gz: ex1.bam ex1.bam.bai
		samtools view -h ex1.bam | gzip > ex2.sam.gz

%.bam: %.sam ex1.fa.fai
	samtools import ex1.fa.fai $< $@

%.sam: %.sam.gz
	gunzip < $< > $@

ex1.fa.fai:ex1.fa
		samtools faidx ex1.fa
ex1.bam:ex1.sam.gz ex1.fa.fai
		samtools import ex1.fa.fai ex1.sam.gz ex1.bam
%.bam.bai:%.bam
		samtools index $<
ex1.pileup.gz:ex1.bam ex1.fa
		samtools pileup -cf ex1.fa ex1.bam | gzip > ex1.pileup.gz

example_unmapped_reads_no_sq.bam: example_unmapped_reads_no_sq.sam
	touch tmp.list
	samtools import tmp.list $< $@
	rm -f tmp.list

example_bai.bam: ex1.bam
	cp ex1.bam $@
	samtools index $@
	mv $@.bai example_bai.bai

softclip.bam: softclip.sam
	samtools view -bS $< > $@

clean:
	rm -fr *.bam *.bai *.fai *.pileup* \
		*~ calDepth *.dSYM pysam_*.sam \
	ex2.sam ex2.sam.gz ex1.sam

=== debian/changelog ===
python-pysam (0.7.7-1ubuntu1) utopic; urgency=medium

  * Apply alignment and endian patches. Closes: #753490.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Sep 2014 18:38:15 +0200

python-pysam (0.7.7-1) unstable; urgency=medium

  * New upstream releases.
  * Upstream source code moved to GitHub.
  * Watch the Python Package Index since there are no relevant tags on GitHub.
  * Added a git-buildpackage configuration file to mark its usage.
  * Build-depend samtools (>= 0.1.19); this is needed for the regression tests
    in Wheezy.
  * debian/patches/offline-tests.patch: correction from a later release.

 -- Charles Plessy <plessy@debian.org>  Sat, 19 Apr 2014 14:17:42 +0900

python-pysam (0.7.5-5) unstable; urgency=medium

  * Add make to autopkgtest dependencies
    Closes: #741274

 -- Andreas Tille <tille@debian.org>  Wed, 19 Mar 2014 13:30:15 +0100

python-pysam (0.7.5-4) unstable; urgency=medium

  * Fix autotest
    Closes: #741274

 -- Andreas Tille <tille@debian.org>  Tue, 11 Mar 2014 20:08:15 +0100

python-pysam (0.7.5-3) unstable; urgency=medium

  * Do not install tests in world writable dir
    Closes: #739575

 -- Andreas Tille <tille@debian.org>  Sat, 01 Mar 2014 23:40:21 +0100

python-pysam (0.7.5-2) unstable; urgency=medium

  * debian/rules: Set PYTHONPATH correctly using dh_python
    (thanks to Piotr Ożarowski <piotr@debian.org> for the patch)
    Closes: #739631

 -- Andreas Tille <tille@debian.org>  Thu, 20 Feb 2014 19:01:46 +0100

python-pysam (0.7.5-1) unstable; urgency=low

  * Initial release (Closes: #738665)

 -- Andreas Tille <tille@debian.org>  Fri, 07 Feb 2014 18:29:40 +0100

=== debian/control ===
Source: python-pysam
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: python
XS-Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all-dev,
               python-setuptools,
               cython,
               zlib1g-dev,
               samtools (>= 0.1.19-1ubuntu1)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/python-pysam.git
Vcs-Git: git://anonscm.debian.org/debian-med/python-pysam.git
Homepage: https://github.com/pysam-developers/pysam
X-Python-Version: >= 2.6

Package: python-pysam
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-pyrex
Description: interface for the SAM/BAM sequence alignment and mapping format
 Pysam is a Python module for reading and manipulating Samfiles. It's a
 lightweight wrapper of the samtools C-API. 

Package: python-pysam-tests
Architecture: all
Priority: extra
Enhances: python-pysam
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python,
         python-pysam,
         python-pyrex
Description: interface for the SAM/BAM sequence alignment and mapping format (test data)
 Pysam is a Python module for reading and manipulating Samfiles. It's a
 lightweight wrapper of the samtools C-API. 
 .
 This package contains the data provided by upstream to run the pysam
 test suite.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pysam

DEBPKGNAME := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
TESTPKG    := $(DEBPKGNAME)-tests

%:
	dh $@ --with python2 --buildsystem=pybuild

# Cython is recreating some c-files.  To enable building twice in a row these
# will be saved in advance and restored afterwards
debian/savefiles:
	mkdir -p debian/savefiles
	cp -a `grep -l "Generated by Cython" pysam/*.c` debian/savefiles

override_dh_clean:
	dh_clean
	# restore cython generated files
	if [ -d debian/savefiles ] ; then \
	    mv debian/savefiles/* pysam ; \
	    rm -rf debian/savefiles ; \
	fi

override_dh_auto_build: debian/savefiles
	dh_auto_build

override_dh_auto_test:
	dh_auto_test  # default tests
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="cd tests && PYTHONPATH={build_dir} {interpreter} ./pysam_test_offline.py" \
	dh_auto_test --buildsystem=pybuild
endif

override_dh_install-indep:
	dh_install -p $(TESTPKG)
	cd debian/$(TESTPKG)/usr/share/doc/python-pysam/tests; \
	    make clean; \
	    rm -f log.txt ; \
	    chmod a+x tabix_test.py

override_dh_auto_clean:
	dh_auto_clean
	cd tests; make clean
	rm -f tests/log.txt

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python-pysam-tests, samtools, make
Restrictions: allow-stderr

=== debian/watch ===
version=3

https://pypi.python.org/packages/source/p/pysam/pysam-(\d+.*)\.tar\.gz

## python-pysam 0.8.4%2Bds

=== tests/pysam_data/Makefile ===
SAM=$(wildcard *.sam)
BAM=$(SAM:%.sam=%.bam)
BAI=$(BAM:%.bam=%.bam.bai)
CRAM=ex1.cram ex2.cram ex3.cram
CRAI=$(CRAM:%.cram=%.cram.crai)

# ex2.bam - bam file without index

all: ex1.pileup.gz \
	ex1.sam ex1.bam \
	ex2.sam.gz ex2.sam ex2.bam ex2.bam.bai \
        uncompressed.bam \
	$(BAM) $(BAI) \
	$(CRAM) $(CRAI) \
	example_bai.bam \
        rg_with_tab.bam \
	ex2_truncated.bam ex2_truncated.bam.bai \
	empty.bam empty.bam.bai

# ex2.sam - as ex1.sam, but with header
ex2.sam.gz: ex1.bam ex1.bam.bai
	samtools view -h ex1.bam | gzip > ex2.sam.gz

#%.bam: %.sam ex1.fa.fai
#	samtools import ex1.fa.fai $< $@

uncompressed.bam: ex2.sam
	samtools view -buS $< > $@

%.bam: %.sam
	samtools view -bS $< > $@

%.cram: %.sam
	samtools view -bC -T ex1.fa $< > $@

%.cram.crai: %.cram
	samtools index $<

%.sam: %.sam.gz
	gunzip < $< > $@

ex1.fa.fai:ex1.fa
		samtools faidx ex1.fa
ex1.bam:ex1.sam.gz ex1.fa.fai
		samtools import ex1.fa.fai ex1.sam.gz ex1.bam

%.bam.bai:%.bam
		samtools index $<

ex1.pileup.gz:ex1.bam ex1.fa
		samtools mpileup -f ex1.fa ex1.bam | gzip > ex1.pileup.gz

ex2_truncated.bam: ex2.bam
	head -c 124000 ex2.bam > ex2_truncated.bam

empty.bam: ex2.sam
	grep "^@" $< | samtools view -Sb - > $@

example_unmapped_reads_no_sq.bam: example_unmapped_reads_no_sq.sam
	touch tmp.list
	samtools import tmp.list $< $@
	rm -f tmp.list

example_bai.bam: ex1.bam
	cp ex1.bam $@
	samtools index $@
	mv $@.bai example_bai.bai

clean:
	rm -fr *.bam *.bai *.fai *.pileup* \
		*~ calDepth *.dSYM pysam_*.sam \
	ex2.sam ex2.sam.gz ex1.sam

## python-pysam 0.8.4+ds

=== requirements.txt ===
cython>=0.22

=== debian/changelog ===
python-pysam (0.8.4+ds-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@ghraoui.name>  Fri, 27 Nov 2015 11:54:21 -0800

python-pysam (0.8.4+ds-1) unstable; urgency=medium

  * Add version constraints to build-dependencies.
  * Drop ds suffix versioning.
  * Imported Upstream version 0.8.4+ds
  * Remove patches applied upstream
  * Refresh existing patches
  * Refine d/rules
  * Set Vcs-Browser to point to cgit rather than gitweb
  * Reduce dependencies in autopktest dependencies
  * Replace patch for network-dependent tests
  * Add new lintian overrides

 -- Afif Elghraoui <afif@ghraoui.name>  Fri, 13 Nov 2015 22:15:14 -0800

python-pysam (0.8.3+ds1-3~bpo8+1) jessie-backports; urgency=medium

  * Add version constraints for build-depends.
  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@ghraoui.name>  Fri, 23 Oct 2015 20:24:03 -0700

python-pysam (0.8.3+ds1-3) unstable; urgency=medium

  * Backport upstream commit 6efb22b to permit building with Cython 0.23.x
    (Closes: 800794)
  * Revise lintian overrides.

 -- Afif Elghraoui <afif@ghraoui.name>  Tue, 06 Oct 2015 00:57:19 -0700

python-pysam (0.8.3+ds1-2) unstable; urgency=medium

  [ Afif Elghraoui ]
  * Improve python3 compatibility for upstream test sources
  * Refresh older patches
  * Fix autopkgtests
  * Fix error in sam_mpileup.patch
  * Remove unused lintian override

  [ Andreas Tille ]
  * Remove tests relying on online connection from test suite
  * For the moment do some dirty tricks in test run script
  * The automatic nosetest trigger does not work and this it is
    switched back to manual nosetests invocation

 -- Afif Elghraoui <afif@ghraoui.name>  Fri, 24 Jul 2015 10:12:41 +0200

python-pysam (0.8.3+ds1-1) experimental; urgency=medium

  * Team upload.

  [ Jorge Soares ]
  * New upstream version
  * provide python3-pysam

  [ Charles Plessy ]
  * Requires Python 2.7 or higher. 

  [ Andreas Tille ]
  * Link against htslib
  * d/watch: dversionmangle

  [ Afif Elghraoui ]
  * New upstream releases (Closes: #763218)
  * Remove unnecessary test-suite declaration in d/control
  * Remove nonexistent files from copyright explanations
  * Allow building of the package when non-ASCII characters are in the path
  * Add to package long description
  * Resolve lintian "duplicated-compressed-file"
  * Make package descriptions unique
  * Remove extra license definitions from d/copyright
  * Fix spelling errors in source distribution (forwarded upstream as well)
  * Add lintian overrides
  * Exclude bundled htslib convenience-copy
  * Provide get-orig-source rule
  * Support building with missing htslib directory
  * Add dependency on cython for autopkgtests to provide pyximport
  * Revamp debian/copyright

 -- Afif Elghraoui <afif@ghraoui.name>  Thu, 25 Jun 2015 10:44:30 +0200

=== debian/control ===
Source: python-pysam
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>,
	   Afif Elghraoui <afif@ghraoui.name>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
	       dh-python,
               samtools (>= 1.2),
               libhts-dev (>= 1.2),
	       zlib1g-dev,
	       python-all-dev,
	       python-setuptools,
	       cython (>= 0.23),
	       python-nose,
	       python3-all-dev,
	       python3-setuptools,
	       cython3 (>= 0.23),
	       python3-nose
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/python-pysam.git
Vcs-Git: git://anonscm.debian.org/debian-med/python-pysam.git
Homepage: https://github.com/pysam-developers/pysam
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2

Package: python-pysam
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
Description: interface for the SAM/BAM sequence alignment and mapping format (Python 2)
 Pysam is a Python module for reading and manipulating Samfiles. It's a
 lightweight wrapper of the samtools C-API. Pysam also includes an interface
 for tabix.
 .
 This package installs the module for Python 2.

Package: python3-pysam
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
Description: interface for the SAM/BAM sequence alignment and mapping format (Python 3)
 Pysam is a Python module for reading and manipulating Samfiles. It's a
 lightweight wrapper of the samtools C-API. Pysam also includes an interface
 for tabix.
 .
 This package installs the module for Python 3.

Package: python-pysam-tests
Architecture: all
Enhances: python-pysam
Depends: ${misc:Depends},
Description: interface for the SAM/BAM sequence alignment and mapping format (test data)
 Pysam is a Python module for reading and manipulating Samfiles. It's a
 lightweight wrapper of the samtools C-API. Pysam also includes an interface
 for tabix.
 .
 This package contains the data provided by upstream to run the pysam
 test suite.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export PYBUILD_NAME=pysam

TESTPKG    := $(DEB_SOURCE)-tests

HTSLIBDIR  := /usr/lib/$(DEB_HOST_MULTIARCH)
export HTSLIB_LIBRARY_DIR=$(HTSLIBDIR)
export HTSLIB_INCLUDE_DIR=/usr/include

export PYBUILD_TEST_NOSE=1
export PYBUILD_TEST_ARGS={dir}/tests

# DEB_BUILD_OPTIONS := nocheck

clean: clean-tests
%:
	LC_ALL=C.UTF-8 dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_install: clean-tests
	dh_install -Xtest.gtf.gz

override_dh_auto_test:
	cd tests && make -C pysam_data
	# dh_auto_test	# unfortunately this does not work out of the box
			# see https://lists.debian.org/debian-python/2015/07/msg00064.html
			# thus trying manually with unusual tricks
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="cd tests && if [ {version} = 2.7 ] ; then nosetests -s ; else nosetests3 -s -v ; fi" dh_auto_test || \
		echo "Ignoring test failures"

get-orig-source:
	uscan --verbose --force-download --repack --compression xz

clean-tests:
	$(MAKE) -C tests/pysam_data clean
	find . -name "*.pyc" -delete
	find . -name "*.pyxbldc" -delete
	find . -name "tmp_*" -delete
	find . -name "*.bai*" -delete
	find . -name "*.cram*" -delete
	find . -name "*.bam" -delete
	rm -rf	tests/pysam_test_work \
		tests/example_htslib.gtf.gz.tbi \
		tests/log.txt \
		tests/test.bam \
		tests/_compile_test.c \
		tests/pysam_ex2.sam \
		tests/__pycache__ \
		pysam/calignmentfile.c \
		pysam/cbcf.c

.PHONY: clean-tests

=== debian/tests/control ===
Test-Command: cd tests && make -C pysam_data && nosetests --nocapture -v
Depends: python-pysam, python-nose, samtools, make, cython, gcc, python-dev
Restrictions: allow-stderr, rw-build-tree

Test-Command: cd tests && make -C pysam_data && nosetests3 --nocapture -v
Depends: python3-pysam, python3-nose, samtools, make, cython3, gcc, python3-dev
Restrictions: allow-stderr, rw-build-tree

=== debian/watch ===
version=3
opts="repacksuffix=+ds,dversionmangle=s/\+ds//g" https://github.com/pysam-developers/pysam/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## python-pysam 0.9.0+ds

=== tests/pysam_data/Makefile ===
--- 
+++ 
@@ -14,8 +14,10 @@
 	$(CRAM) $(CRAI) \
 	example_bai.bam \
         rg_with_tab.bam \
-	ex2_truncated.bam ex2_truncated.bam.bai \
-	empty.bam empty.bam.bai
+	ex2_truncated.bam \
+	empty.bam empty.bam.bai \
+	explicit_index.bam explicit_index.cram \
+	faidx_empty_seq.fq.gz
 
 # ex2.sam - as ex1.sam, but with header
 ex2.sam.gz: ex1.bam ex1.bam.bai
@@ -66,7 +68,17 @@
 	samtools index $@
 	mv $@.bai example_bai.bai
 
+explicit_index.bam: ex1.bam
+	cp ex1.bam $@
+
+explicit_index.cram: ex1.cram
+	cp ex1.cram $@
+
 clean:
-	rm -fr *.bam *.bai *.fai *.pileup* \
-		*~ calDepth *.dSYM pysam_*.sam \
-	ex2.sam ex2.sam.gz ex1.sam
+	rm -fr *.bam *.bai *.fai *.pileup* *.cram \
+	*~ calDepth *.dSYM pysam_*.sam \
+	ex2.sam ex2.sam.gz ex1.sam \
+	*.fq.gz
+
+%.fq.gz: %.fq
+	gzip < $< > $@

=== debian/changelog ===
python-pysam (0.9.0+ds-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@debian.org>  Sat, 09 Apr 2016 15:13:31 -0700

python-pysam (0.9.0+ds-1) unstable; urgency=medium

  * Add filenamemangle to d/watch and space out content
  * Imported Upstream version 0.9.0+ds (Closes: #814765)
  * Bump htslib and samtools minimum versions
  * Update policy statndards-version to 3.9.7
  * Use encrypted protocols for Vcs URLs in d/control
  * Use readthedocs page as pysam's homepage
  * Update packaging for external htslib link
  * Refresh patches
  * Delete obsolete patch

 -- Afif Elghraoui <afif@debian.org>  Wed, 09 Mar 2016 23:43:59 -0800

=== debian/control ===
Source: python-pysam
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
	Charles Plessy <plessy@debian.org>,
	Andreas Tille <tille@debian.org>,
	Afif Elghraoui <afif@debian.org>,
Section: python
Priority: optional
Build-Depends:
	debhelper (>= 9),
	dh-python,
	libhts-dev (>= 1.3),
	zlib1g-dev,
	python-all-dev,
	python-setuptools,
	cython (>= 0.23),
	python3-all-dev,
	python3-setuptools,
	cython3 (>= 0.23),
# Test-Depends
	tabix,
	samtools (>= 1.3),
	bcftools (>= 1.3),
	python-nose,
	python3-nose,
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-pysam.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/python-pysam.git
Homepage: http://pysam.readthedocs.org/en/latest
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2

Package: python-pysam
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
	${python:Depends},
Description: interface for the SAM/BAM sequence alignment and mapping format (Python 2)
 Pysam is a Python module for reading and manipulating Samfiles. It's a
 lightweight wrapper of the samtools C-API. Pysam also includes an interface
 for tabix.
 .
 This package installs the module for Python 2.

Package: python3-pysam
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
	${python3:Depends},
Description: interface for the SAM/BAM sequence alignment and mapping format (Python 3)
 Pysam is a Python module for reading and manipulating Samfiles. It's a
 lightweight wrapper of the samtools C-API. Pysam also includes an interface
 for tabix.
 .
 This package installs the module for Python 3.

Package: python-pysam-tests
Architecture: all
Enhances: python-pysam
Depends: ${misc:Depends},
Description: interface for the SAM/BAM sequence alignment and mapping format (test data)
 Pysam is a Python module for reading and manipulating Samfiles. It's a
 lightweight wrapper of the samtools C-API. Pysam also includes an interface
 for tabix.
 .
 This package contains the data provided by upstream to run the pysam
 test suite.

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 TESTPKG    := $(DEB_SOURCE)-tests
 
+export HTSLIB_MODE=external
 HTSLIBDIR  := /usr/lib/$(DEB_HOST_MULTIARCH)
 export HTSLIB_LIBRARY_DIR=$(HTSLIBDIR)
 export HTSLIB_INCLUDE_DIR=/usr/include
@@ -19,11 +20,16 @@
 %:
 	LC_ALL=C.UTF-8 dh $@ --with python2,python3 --buildsystem=pybuild
 
+override_dh_auto_configure:
+	dh_auto_configure
+	touch samtools/config.h
+
 override_dh_install: clean-tests
 	dh_install -Xtest.gtf.gz
 
 override_dh_auto_test:
 	cd tests && make -C pysam_data
+	cd tests/cbcf_data && make
 	# dh_auto_test	# unfortunately this does not work out of the box
 			# see https://lists.debian.org/debian-python/2015/07/msg00064.html
 			# thus trying manually with unusual tricks
@@ -33,6 +39,12 @@
 
 get-orig-source:
 	uscan --verbose --force-download --repack --compression xz
+
+override_dh_auto_clean:
+	dh_auto_clean
+	$(RM) \
+		pysam/config.py \
+		pysam/config.h
 
 clean-tests:
 	$(MAKE) -C tests/pysam_data clean

=== debian/tests/control ===
Test-Command: cd tests && make -C pysam_data && make -C cbcf_data && nosetests --nocapture -v
Depends:
	build-essential,
	cython,
	python-dev,
	python-pysam,
	python-nose,
	tabix,
	samtools,
	bcftools
Restrictions: allow-stderr, rw-build-tree

Test-Command: cd tests && make -C pysam_data && make -C cbcf_data && nosetests3 --nocapture -v
Depends:
	build-essential,
	cython3,
	python3-dev,
	python3-pysam,
	python3-nose,
	tabix,
	samtools,
	bcftools
Restrictions: allow-stderr, rw-build-tree

## python-pysam 0.9.1.4%2bds

=== tests/pysam_data/Makefile ===
--- 
+++ 
@@ -17,7 +17,8 @@
 	ex2_truncated.bam \
 	empty.bam empty.bam.bai \
 	explicit_index.bam explicit_index.cram \
-	faidx_empty_seq.fq.gz
+	faidx_empty_seq.fq.gz \
+	ex1.fa.gz ex1.fa.gz.fai
 
 # ex2.sam - as ex1.sam, but with header
 ex2.sam.gz: ex1.bam ex1.bam.bai
@@ -82,3 +83,9 @@
 
 %.fq.gz: %.fq
 	gzip < $< > $@
+
+%.fa.gz: %.fa
+	bgzip < $< > $@
+
+%.fa.gz.fai: %.fa.gz
+	samtools faidx $<

## python-pysam 0.9.1.4+ds

=== debian/changelog ===
python-pysam (0.9.1.4+ds-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Bump minimum dh-python version to allow skipping defective
    doctests.

 -- Afif Elghraoui <afif@debian.org>  Sun, 21 Aug 2016 23:17:00 -0700

python-pysam (0.9.1.4+ds-1) unstable; urgency=medium

  * Imported Upstream version 0.9.1.4+ds
  * Drop patch applied upstream
  * Drop unused lintian overrides
  * Fix spelling issues

 -- Afif Elghraoui <afif@debian.org>  Sat, 23 Jul 2016 18:47:31 -0700

python-pysam (0.9.1+ds-1) unstable; urgency=medium

  * Imported Upstream version 0.9.1+ds
  * Force at least matching versions of the samtools suite
  * Bump Standards-Version to 3.9.8
  * Globally use C.UTF-8 locale
  * Update patch for external htslib
  * Refresh patch
  * Drop obsolete patches
  * Fix handling of configuration headers generated at build time
  * Rely more on pybuild for build-time tests and respect exit code
  * Fix autopkgtests

 -- Afif Elghraoui <afif@debian.org>  Sun, 19 Jun 2016 18:43:53 -0700

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Priority: optional
 Build-Depends:
 	debhelper (>= 9),
-	dh-python,
-	libhts-dev (>= 1.3),
+	dh-python (>= 2.20150826),
+	libhts-dev (>= 1.3.1),
 	zlib1g-dev,
 	python-all-dev,
 	python-setuptools,
@@ -19,11 +19,11 @@
 	cython3 (>= 0.23),
 # Test-Depends
 	tabix,
-	samtools (>= 1.3),
-	bcftools (>= 1.3),
+	samtools (>= 1.3.1),
+	bcftools (>= 1.3.1),
 	python-nose,
 	python3-nose,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-pysam.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/python-pysam.git
 Homepage: http://pysam.readthedocs.org/en/latest

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export PYBUILD_NAME=pysam
export LC_ALL = C.UTF-8

TESTPKG    := $(DEB_SOURCE)-tests

export HTSLIB_MODE=external
HTSLIBDIR  := /usr/lib/$(DEB_HOST_MULTIARCH)
export HTSLIB_LIBRARY_DIR=$(HTSLIBDIR)
export HTSLIB_INCLUDE_DIR=/usr/include

export PYBUILD_TEST_NOSE=1
# pybuild calls nosetests as `python{version} -m nose tests`
#
# The "tests" argument (passed by pybuild as shown above) fails,
# so don't pass anything:
export PYBUILD_TEST_ARGS=
# This is how we pass parameters to nose without command-line flags
export NOSE_WHERE=$(CURDIR)/tests
export NOSE_VERBOSE=2
export NOSE_NOCAPTURE=1

# DEB_BUILD_OPTIONS := nocheck

clean: clean-tests
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_install: clean-tests
	dh_install -Xtest.gtf.gz

override_dh_auto_test: pysam_data.all cbcf_data.all
	dh_auto_test

get-orig-source:
	uscan --verbose --force-download --repack --compression xz

override_dh_auto_clean:
	dh_auto_clean
	$(RM) \
		pysam/config.py \
		pysam/config.h \
		samtools/config.h

.PHONY: pysam_data.% cbcf_data.%
cbcf_data.%:
	cd tests/$(basename $@) && $(MAKE) $*
pysam_data.%:
	cd tests/$(basename $@) && $(MAKE) $*

.PHONY: clean-tests
clean-tests: pysam_data.clean cbcf_data.clean
	find . -name "*.pyc" -delete
	find . -name "*.pyxbldc" -delete
	find . -name "tmp_*" -delete
	find . -name "*.bai*" -delete
	find . -name "*.cram*" -delete
	find . -name "*.bam" -delete
	rm -rf	tests/pysam_test_work \
		tests/example_htslib.gtf.gz.tbi \
		tests/log.txt \
		tests/test.bam \
		tests/_compile_test.c \
		tests/pysam_ex2.sam \
		tests/__pycache__ \
		pysam/calignmentfile.c \
		pysam/cbcf.c

## python-pysam 0.10.0+ds

=== tests/pysam_data/Makefile ===
--- 
+++ 
@@ -18,7 +18,8 @@
 	empty.bam empty.bam.bai \
 	explicit_index.bam explicit_index.cram \
 	faidx_empty_seq.fq.gz \
-	ex1.fa.gz ex1.fa.gz.fai
+	ex1.fa.gz ex1.fa.gz.fai \
+	ex1_csi.bam
 
 # ex2.sam - as ex1.sam, but with header
 ex2.sam.gz: ex1.bam ex1.bam.bai
@@ -44,6 +45,7 @@
 
 ex1.fa.fai:ex1.fa
 		samtools faidx ex1.fa
+
 ex1.bam:ex1.sam.gz ex1.fa.fai
 		samtools import ex1.fa.fai ex1.sam.gz ex1.bam
 
@@ -55,6 +57,10 @@
 
 ex2_truncated.bam: ex2.bam
 	head -c 124000 ex2.bam > ex2_truncated.bam
+
+ex1_csi.bam: ex1.bam
+	cp ex1.bam ex1_csi.bam
+	samtools index -c ex1_csi.bam
 
 empty.bam: ex2.sam
 	grep "^@" $< | samtools view -Sb - > $@

=== debian/changelog ===
python-pysam (0.10.0+ds-2) unstable; urgency=medium

  * d/rules:
     - Add some files that need to be removed after running tests
     - Remove other autogenerated files to build twice in a row
  * Exclude test tyring to access remote ftpserver
    Closes: #861496

 -- Andreas Tille <tille@debian.org>  Thu, 04 May 2017 15:06:21 +0200

python-pysam (0.10.0+ds-1) unstable; urgency=medium

  [ Afif Elghraoui ]
  * New upstream release
  * Update patches

  [ Andreas Tille ]
  * d/rules: Remove redundant get-orig-source target
  * hardening=+all
  * Fix lintian overrides

  [ Afif Elghraoui ]
  * Do not use internal htslib

 -- Afif Elghraoui <afif@debian.org>  Thu, 26 Jan 2017 04:36:11 -0800

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Priority: optional
 Build-Depends:
 	debhelper (>= 9),
-	dh-python (>= 2.20150826),
-	libhts-dev (>= 1.3.1),
+	dh-python,
+	libhts-dev (>= 1.3.2),
 	zlib1g-dev,
 	python-all-dev,
 	python-setuptools,

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 
 export PYBUILD_NAME=pysam
 export LC_ALL = C.UTF-8
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 TESTPKG    := $(DEB_SOURCE)-tests
 
@@ -35,15 +37,14 @@
 override_dh_auto_test: pysam_data.all cbcf_data.all
 	dh_auto_test
 
-get-orig-source:
-	uscan --verbose --force-download --repack --compression xz
-
 override_dh_auto_clean:
 	dh_auto_clean
 	$(RM) \
 		pysam/config.py \
 		pysam/config.h \
+		pysam/lib*.c \
 		samtools/config.h
+	rm -rf pysam.egg-info
 
 .PHONY: pysam_data.% cbcf_data.%
 cbcf_data.%:
@@ -67,4 +68,9 @@
 		tests/pysam_ex2.sam \
 		tests/__pycache__ \
 		pysam/calignmentfile.c \
-		pysam/cbcf.c
+		pysam/cbcf.c \
+		tests/GRCh38_full_analysis_set_plus_decoy_hla.fa.fai \
+		tests/pysam_data/ex1.fa.gz \
+		tests/pysam_data/ex1.fa.gz.gzi \
+		tests/pysam_data/ex1_csi.bam.csi
+

=== debian/tests/control ===
Test-Command: export HOME=$ADTTMP; cd tests && make -C pysam_data && make -C cbcf_data && nosetests --nocapture -v
Depends:
	build-essential,
	cython,
	python-dev,
	libhts-dev,
	zlib1g-dev,
	python-pysam,
	python-nose,
	tabix,
	samtools,
	bcftools
Restrictions: allow-stderr, rw-build-tree

Test-Command: export HOME=$ADTTMP; cd tests && make -C pysam_data && make -C cbcf_data && nosetests3 --nocapture -v
Depends:
	build-essential,
	cython3,
	python3-dev,
	libhts-dev,
	zlib1g-dev,
	python3-pysam,
	python3-nose,
	tabix,
	samtools,
	bcftools
Restrictions: allow-stderr, rw-build-tree

## python-pysam 0.11.2.2+ds

=== debian/changelog ===
python-pysam (0.11.2.2+ds-3build1) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 08:23:18 +0000

python-pysam (0.11.2.2+ds-3) unstable; urgency=medium

  * Team upload
  * Link with -Wl,--as-needed and avoid another Python 2.7
    compatibility symlink for libchtslib.so

 -- Graham Inggs <ginggs@debian.org>  Tue, 01 Aug 2017 14:15:58 +0200

python-pysam (0.11.2.2+ds-2) unstable; urgency=medium

  * Team upload
  * Mark debian/python-pysam.links executable for dh-exec
  * Drop exclude_test_tyring_to_access_remote_ftpserver.patch,
    fixed upstream
  * Drop pysam_stdout_linkage.patch, not needed since
    compatibility symlinks were added

 -- Graham Inggs <ginggs@debian.org>  Mon, 31 Jul 2017 14:05:22 +0200

python-pysam (0.11.2.2+ds-1) unstable; urgency=medium

  [ Afif Elghraoui ]
  * Imported Upstream version 0.11.2.2+ds
  * Update patches

  [ Andreas Tille ]
  * Apply patches suggested by Steve Langasek (thanks for this Steve)
    Closes: #867017, LP: #1701268
  * debhelper 10
  * Standards-Version: 4.0.0 (no changes needed)
  * Add some symlinks to run autopkgtests correctly

 -- Andreas Tille <tille@debian.org>  Sat, 29 Jul 2017 09:03:05 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
 Section: python
 Priority: optional
 Build-Depends:
-	debhelper (>= 9),
+	debhelper (>= 10),
+	dh-exec,
 	dh-python,
-	libhts-dev (>= 1.3.2),
+	libhts-dev (>= 1.4.1),
 	zlib1g-dev,
 	python-all-dev,
 	python-setuptools,
@@ -19,11 +20,11 @@
 	cython3 (>= 0.23),
 # Test-Depends
 	tabix,
-	samtools (>= 1.3.1),
-	bcftools (>= 1.3.1),
+	samtools (>= 1.4.1),
+	bcftools (>= 1.4.1),
 	python-nose,
 	python3-nose,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-pysam.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/python-pysam.git
 Homepage: http://pysam.readthedocs.org/en/latest

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 export LC_ALL = C.UTF-8
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 
 TESTPKG    := $(DEB_SOURCE)-tests

## python-pysam 0.14%2Bds

=== debian/changelog ===
python-pysam (0.14+ds-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Mon, 21 May 2018 21:35:19 +0200

python-pysam (0.14+ds-2) unstable; urgency=medium

  * Team upload
  * Add Python 2.7 compatibility symlink for libchtslib.so (Closes: #890748)
  * Update Vcs-* URIs for move to salsa.debian.org
  * Remove trailing whitespace from debian/changelog

 -- Graham Inggs <ginggs@debian.org>  Mon, 19 Feb 2018 10:11:17 +0000

python-pysam (0.14+ds-1) unstable; urgency=medium

  * New upstream version
  * d/rules: Exclude tests using http access
  * Bump versioned dependencies to samtools and related from 1.6 to 1.7
  * cme fix dpkg-control
  * debhelper 11
  * do not remove samtools/tmp_file.h in clean target
  * do not depend from non-existing data file in make test target
  * Update d/copyright
  * Update lintian overrides

 -- Andreas Tille <tille@debian.org>  Sat, 17 Feb 2018 21:45:07 +0100

python-pysam (0.13.0+ds-1) unstable; urgency=medium

  * New upstream version
  * Bump versioned Build-Depends on libhts-dev, samtools and bcftools to 1.6
  * Exclude tests accessing remote http sites
  * Lintian-override for false positive
  * Remove unused paragraphs from d/copyright

 -- Andreas Tille <tille@debian.org>  Thu, 14 Dec 2017 16:36:43 +0100

python-pysam (0.12.0.1+ds-4) unstable; urgency=medium

  * Team upload.
  * Revert "Skip tests on ppc64el to avoid build-dep on bcftools currently
    uninstallable".  It seems to be installable now, and anyway now that the
    python3 transition is done we should fix it properly anyway.
  * d/control:
    + Bump the libhts-dev buil-dep to 1.5-3, to make sure we gain appropriate
      versioned symbols and therefore an appropriate versioned dependency on
      libhts2.  Closes: #879867
    + Bump Standards-Version to 4.1.1.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 10 Nov 2017 12:56:10 +0100

python-pysam (0.12.0.1+ds-3) unstable; urgency=medium

  * Team upload.
  * Support DEB_BUILD_OPTIONS=nocheck.
  * Skip tests on ppc64el to avoid build-dep on bcftools which is currently
    uninstallable.
    Hopefully this will help unstuck the current python3 transition.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 24 Oct 2017 18:54:29 +0200

python-pysam (0.12.0.1+ds-2) unstable; urgency=low

  * Update autopkgtest for new test suite driver

 -- Afif Elghraoui <afif@debian.org>  Fri, 06 Oct 2017 23:38:45 -0400

python-pysam (0.12.0.1+ds-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Drop patch applied upstream
  * Standards-Version: 4.1.0 (no changes needed)
  * Apply upstream patch to fix test suite
  * Use pytest instead of nosetest

  [ Afif Elghraoui ]
  * New upstream version
    Closes: #871083, #834856
  * Bump htslib suite minimum versions
  * Use Build Profiles to mark build-dependencies needed only for tests
  * Temporarily skip a failing test (reported upstream)

  [ Steffen Moeller ]
  * created debian/upstream/metadata: references to registries

 -- Afif Elghraoui <afif@debian.org>  Sun, 01 Oct 2017 12:30:30 -0400

## python-pysam 0.14+ds

=== requirements.txt ===
cython>=0.24.1

=== tests/pysam_data/Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 all: ex1.pileup.gz \
 	ex1.sam ex1.bam \
 	ex2.sam.gz ex2.sam ex2.bam ex2.bam.bai \
+	with_md.sam.gz with_md.bam with_md.bam.bai \
         uncompressed.bam \
 	$(BAM) $(BAI) \
 	$(CRAM) $(CRAI) \
@@ -18,12 +19,16 @@
 	empty.bam empty.bam.bai \
 	explicit_index.bam explicit_index.cram \
 	faidx_empty_seq.fq.gz \
-	ex1.fa.gz ex1.fa.gz.fai \
-	ex1_csi.bam
+	ex1.fa.gz ex1.fa.gz.csi \
+	ex1_csi.bam \
+	example_reverse_complement.bam
 
 # ex2.sam - as ex1.sam, but with header
 ex2.sam.gz: ex1.bam ex1.bam.bai
 	samtools view -h ex1.bam | gzip > ex2.sam.gz
+
+with_md.sam.gz: ex2.bam ex1.fa
+	samtools calmd --output-fmt BAM $^ > $@
 
 #%.bam: %.sam ex1.fa.fai
 #	samtools import ex1.fa.fai $< $@
@@ -93,5 +98,5 @@
 %.fa.gz: %.fa
 	bgzip < $< > $@
 
-%.fa.gz.fai: %.fa.gz
+%.fa.gz.csi: %.fa.gz
 	samtools faidx $<

=== debian/control ===
Source: python-pysam
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>,
           Afif Elghraoui <afif@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-exec,
               dh-python,
               libhts-dev (>= 1.7),
               zlib1g-dev,
               python-all-dev,
               python-setuptools,
               cython (>= 0.23),
               python3-all-dev,
               python3-setuptools,
               cython3 (>= 0.23),
               tabix <!nocheck>,
               samtools (>= 1.7) <!nocheck>,
               bcftools (>= 1.7) <!nocheck>,
               python-pytest <!nocheck>,
               python3-pytest <!nocheck>
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/med-team/python-pysam
Vcs-Git: https://salsa.debian.org/med-team/python-pysam.git
Homepage: http://pysam.readthedocs.org/en/latest
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2

Package: python-pysam
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends}
Description: interface for the SAM/BAM sequence alignment and mapping format (Python 2)
 Pysam is a Python module for reading and manipulating Samfiles. It's a
 lightweight wrapper of the samtools C-API. Pysam also includes an interface
 for tabix.
 .
 This package installs the module for Python 2.

Package: python3-pysam
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Description: interface for the SAM/BAM sequence alignment and mapping format (Python 3)
 Pysam is a Python module for reading and manipulating Samfiles. It's a
 lightweight wrapper of the samtools C-API. Pysam also includes an interface
 for tabix.
 .
 This package installs the module for Python 3.

Package: python-pysam-tests
Architecture: all
Depends: ${misc:Depends}
Enhances: python-pysam
Description: interface for the SAM/BAM sequence alignment and mapping format (test data)
 Pysam is a Python module for reading and manipulating Samfiles. It's a
 lightweight wrapper of the samtools C-API. Pysam also includes an interface
 for tabix.
 .
 This package contains the data provided by upstream to run the pysam
 test suite.

=== debian/rules ===
--- 
+++ 
@@ -15,18 +15,9 @@
 export HTSLIB_LIBRARY_DIR=$(HTSLIBDIR)
 export HTSLIB_INCLUDE_DIR=/usr/include
 
-export PYBUILD_TEST_NOSE=1
-# pybuild calls nosetests as `python{version} -m nose tests`
-#
-# The "tests" argument (passed by pybuild as shown above) fails,
-# so don't pass anything:
-export PYBUILD_TEST_ARGS=
-# This is how we pass parameters to nose without command-line flags
-export NOSE_WHERE=$(CURDIR)/tests
-export NOSE_VERBOSE=2
-export NOSE_NOCAPTURE=1
-
-# DEB_BUILD_OPTIONS := nocheck
+# unfortunately this does not work - any hint to fix this would be really welcome
+#export PYBUILD_TEST_ARGS_python2=-k-XTestRemoteFileHTTP -k-XTestRemoteFileHTTPWithHeader
+#export PYBUILD_TEST_ARGS_python3=-k-XTestRemoteFileHTTP -k-XTestRemoteFileHTTPWithHeader
 
 clean: clean-tests
 %:
@@ -35,8 +26,12 @@
 override_dh_install: clean-tests
 	dh_install -Xtest.gtf.gz
 
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test: pysam_data.all cbcf_data.all
 	dh_auto_test
+else
+override_dh_auto_test:
+endif
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -44,7 +39,8 @@
 		pysam/config.py \
 		pysam/config.h \
 		pysam/lib*.c \
-		samtools/config.h
+		samtools/config.h \
+		bcftools/config.h
 	rm -rf pysam.egg-info
 
 .PHONY: pysam_data.% cbcf_data.%
@@ -57,7 +53,7 @@
 clean-tests: pysam_data.clean cbcf_data.clean
 	find . -name "*.pyc" -delete
 	find . -name "*.pyxbldc" -delete
-	find . -name "tmp_*" -delete
+	#find . -name "tmp_*" -delete # This deletes samtools/tmp_file.* which is needed to build successfully
 	find . -name "*.bai*" -delete
 	find . -name "*.cram*" -delete
 	find . -name "*.bam" -delete

=== debian/tests/control ===
Test-Command: make -C tests/pysam_data && make -C tests/cbcf_data && pytest
Depends: @builddeps@, python-pysam
Restrictions: allow-stderr, rw-build-tree

Test-Command: make -C tests/pysam_data && make -C tests/cbcf_data && pytest-3
Depends: @builddeps@, python3-pysam,
Restrictions: allow-stderr, rw-build-tree

## python-pysam 0.15.2+ds

=== debian/changelog ===
python-pysam (0.15.2+ds-2) unstable; urgency=medium

  * Team upload.
  * For the Tabix tests: test the index contents, not the compression scheme.
    Closes: #919928, #920250

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 20 Feb 2019 02:45:47 -0800

python-pysam (0.15.2+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.3.0, no changes needed
  * added Py2 and Py3 versions of ${python:Provides}
  * Fix lintian found spelling typos.
  * debian/tests/control.autodep8 → debian/tests/control.
  * remove errant log.txt from the packages.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 17 Jan 2019 01:25:11 -0800

python-pysam (0.15.1+ds-1) unstable; urgency=medium

  * Team upload.

  * New upstream version.
    - Removes autogenerated config.h - [many thanks!]
      https://github.com/pysam-developers/pysam/issues/714
    - Explicit compatibility with Python 3.7
  * Removed patch skipping test that complained on missing file

 -- Steffen Moeller <moeller@debian.org>  Fri, 14 Sep 2018 10:44:51 +0200

python-pysam (0.15.0.1+ds-2) unstable; urgency=medium

  * Remove ancient fields X-Python*-Version
  * Adjust patches for build time test suite
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Wed, 12 Sep 2018 18:37:42 +0200

python-pysam (0.15.0.1+ds-1) experimental; urgency=medium

  * Team upload.

  [ Steffen Moeller ]
  * New upstream version.

  [ Afif Elghraoui ]
  * New upstream version 0.14.1+ds
  * Update patches

  [ Andreas Tille ]
  * Testsuite: autopkgtest-pkg-python
  * Rename d/tests/control to d/tests/control.autodep8
  * Standards-Version: 4.1.4

 -- Steffen Moeller <moeller@debian.org>  Sun, 29 Jul 2018 00:51:38 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>,
-           Afif Elghraoui <afif@debian.org>
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper (>= 11~),
                dh-exec,
                dh-python,
-               libhts-dev (>= 1.7),
+               libhts-dev (>= 1.9),
                zlib1g-dev,
                python-all-dev,
                python-setuptools,
@@ -17,22 +17,21 @@
                python3-setuptools,
                cython3 (>= 0.23),
                tabix <!nocheck>,
-               samtools (>= 1.7) <!nocheck>,
-               bcftools (>= 1.7) <!nocheck>,
+               samtools (>= 1.9) <!nocheck>,
+               bcftools (>= 1.9) <!nocheck>,
                python-pytest <!nocheck>,
                python3-pytest <!nocheck>
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-pysam
 Vcs-Git: https://salsa.debian.org/med-team/python-pysam.git
 Homepage: http://pysam.readthedocs.org/en/latest
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.2
 
 Package: python-pysam
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python:Depends}
+Provides: ${python:Provides}
 Description: interface for the SAM/BAM sequence alignment and mapping format (Python 2)
  Pysam is a Python module for reading and manipulating Samfiles. It's a
  lightweight wrapper of the samtools C-API. Pysam also includes an interface

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 
 override_dh_install: clean-tests
 	dh_install -Xtest.gtf.gz
+	find debian -name log.txt -delete
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test: pysam_data.all cbcf_data.all
@@ -56,7 +57,7 @@
 	#find . -name "tmp_*" -delete # This deletes samtools/tmp_file.* which is needed to build successfully
 	find . -name "*.bai*" -delete
 	find . -name "*.cram*" -delete
-	find . -name "*.bam" -delete
+	#find . -name "*.bam" -delete # which deletes files tested
 	rm -rf	tests/pysam_test_work \
 		tests/example_htslib.gtf.gz.tbi \
 		tests/log.txt \
@@ -70,4 +71,5 @@
 		tests/pysam_data/ex1.fa.gz \
 		tests/pysam_data/ex1.fa.gz.gzi \
 		tests/pysam_data/ex1_csi.bam.csi
+	rm -rf .pytest_cache/

=== debian/watch ===
version=3

opts="repacksuffix=+ds,dversionmangle=s/\+ds//g,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-pysam-$1.tar.gz%" \
	https://github.com/pysam-developers/pysam/tags \
	(?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## python-pysam 0.15.4%2Bds

=== tests/pysam_data/Makefile ===
--- 
+++ 
@@ -21,7 +21,8 @@
 	faidx_empty_seq.fq.gz \
 	ex1.fa.gz ex1.fa.gz.csi \
 	ex1_csi.bam \
-	example_reverse_complement.bam
+	example_reverse_complement.bam \
+	example_dash_in_chr.bam
 
 # ex2.sam - as ex1.sam, but with header
 ex2.sam.gz: ex1.bam ex1.bam.bai
@@ -90,6 +91,7 @@
 	rm -fr *.bam *.bai *.fai *.pileup* *.cram \
 	*~ calDepth *.dSYM pysam_*.sam \
 	ex2.sam ex2.sam.gz ex1.sam \
+	with_md.sam.gz \
 	*.fq.gz
 
 %.fq.gz: %.fq
